%bcond_without check

%global goipath         golang.org/x/mobile
%global forgeurl        https://github.com/golang/mobile
%global commit          8578da9835fd365e78a6e63048c103b27a53a82c

%gometa

%global common_description %{expand:
The Go mobile repository holds packages and build tools for using Go on mobile
platforms.}

%global golicenses      LICENSE PATENTS
%global godocs          doc example AUTHORS CONTRIBUTING.md CONTRIBUTORS README.md

Name:           %{goname}
Version:        0
Release:    1%{?dist}
Summary:        Go support for Mobile devices

License:        BSD
URL:            %{gourl}
Source0:        %{gosource}
Source1:        vendor.tar.gz

BuildRequires:  pkgconfig(glesv2)
BuildRequires:  pkgconfig(openal)

%description
%{common_description}

%gopkg

%prep
%goprep
tar -xzf %{SOURCE1}

%generate_buildrequires

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%ifarch aarch64 armv7hl ppc64le s390x
%gocheck -d cmd/gobind -d cmd/gomobile
%else
%gocheck -d cmd/gobind
%endif
%endif

%files
%license PATENTS LICENSE
%doc doc example AUTHORS CONTRIBUTING.md README.md CONTRIBUTORS exp/README
%{_bindir}/*

%gopkgfiles

%changelog
* Mon Sep 09 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0-1
- initial build
